#include <iostream>
#include <iomanip>
using namespace std;

void print(const string& s, size_t size) {
	cout << left << setw(12) << s << ": " << size << endl;
}

int main () {
	cout << endl;
	print("bool", sizeof(bool));
	print("char", sizeof(char));
	print("wchar_t", sizeof(wchar_t));
	print("int", sizeof(int));
	print("short", sizeof(short));
	print("long", sizeof(long));
	print("long long", sizeof(long long));
	print("float", sizeof(float));
	print("double", sizeof(double));
	print("long double", sizeof(long double));
	cout << endl;

	int a;
	print("object a", sizeof(a));
	print("false", sizeof(false));
	print("'a'", sizeof('a'));
	print("L'a'", sizeof(L'a'));
	print("\"a\"", sizeof("a"));
	print("12", sizeof(12));
	print("12l", sizeof(12l));
	print("12ll", sizeof(12ll));
	print("12.f", sizeof(12.f));
	print("12.", sizeof(12.));
	print("12.l", sizeof(12.l));

	return EXIT_SUCCESS;
}

